JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Functions
juce_Initialisation.h File Reference

## Classes
class | ScopedJuceInitialiser_GUI
| A utility object that helps you initialise and shutdown JUCE correctly using an RAII pattern. More...

## Macros
#define | START_JUCE_APPLICATION(AppClass)
| To start a JUCE app, use this macro: START_JUCE_APPLICATION (AppSubClass) where AppSubClass is the name of a class derived from JUCEApplication or JUCEApplicationBase.

## Functions
JUCE_API void JUCE_CALLTYPE | initialiseJuce_GUI ()
| Initialises JUCE's GUI classes.
JUCE_API void JUCE_CALLTYPE | shutdownJuce_GUI ()
| Clears up any static data being used by JUCE's GUI classes.